package com.wang.controller;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;

@Controller
@RequestMapping("/c6")
public class MyController6 {
    // 前置方法向Model中设置数据
        //从Model模型中获取数据给参数赋值
    @ModelAttribute
    public void before(Model model) {
        model.addAttribute("name", "尚学堂");
    }

    // 该参数不是从请求中获取，而是从Model中获取
    @RequestMapping("/t1")
    public String t1(@ModelAttribute("name") String name) {
        System.out.println(name);
        return "baizhan";
    }
}
